"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spread = (this && this.__spread) || function () {
    for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read(arguments[i]));
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventManager = void 0;
var EventManager = /** @class */ (function () {
    function EventManager() {
        var _this = this;
        this.listeners = new Map();
        this.on = function (event, listener) {
            var _a, _b;
            var newListeners = (_b = (_a = _this.listeners.get(event)) === null || _a === void 0 ? void 0 : _a.add(listener)) !== null && _b !== void 0 ? _b : new Set([listener]);
            _this.listeners.set(event, newListeners);
        };
        this.off = function (event, listener) {
            var _a;
            (_a = _this.listeners.get(event)) === null || _a === void 0 ? void 0 : _a.delete(listener);
        };
        this.emit = function (event) {
            var data = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                data[_i - 1] = arguments[_i];
            }
            var listeners = _this.listeners.get(event);
            if (listeners && listeners.size > 0) {
                listeners.forEach(function (callback) {
                    callback.apply(void 0, __spread(data));
                });
            }
        };
        this.removeAllListeners = function () {
            _this.listeners = new Map();
        };
    }
    return EventManager;
}());
exports.EventManager = EventManager;
//# sourceMappingURL=EventManager.js.map