"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createStorage = void 0;
function createStorage(key) {
    return {
        get: function () {
            var value = window.localStorage.getItem(key);
            return value ? JSON.parse(value) : null;
        },
        set: function (data) {
            var json = JSON.stringify(data);
            window.localStorage.setItem(key, json);
        },
        remove: function () {
            window.localStorage.removeItem(key);
        },
    };
}
exports.createStorage = createStorage;
//# sourceMappingURL=storage.js.map