export function createStorage(key) {
    return {
        get: function () {
            var value = window.localStorage.getItem(key);
            return value ? JSON.parse(value) : null;
        },
        set: function (data) {
            var json = JSON.stringify(data);
            window.localStorage.setItem(key, json);
        },
        remove: function () {
            window.localStorage.removeItem(key);
        },
    };
}
//# sourceMappingURL=storage.js.map